PHP Manual
Prev |  | Next

# mysqli_stmt_close

(PHP 5)

mysqli_stmt_close

(no version information, might be only in CVS)

mysqli_stmt->close -- Closes a prepared statement

## Description

Procedural style:

bool mysqli_stmt_close ( mysqli_stmt stmt )

Object oriented style (method):

class mysqli_stmt {
bool close ( void )
}

Closes a prepared statement. mysqli_stmt_close() also deallocates the statement handle pointed to by stmt. If the current statement has pending or unread results, this function cancels them so that the next query can be executed.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

mysqli_prepare().

Prev | Home | Next
mysqli_stmt_bind_result | Up | mysqli_stmt_data_seek